// 引入localStorage
const state = {
  cachedData: JSON.parse(localStorage.getItem("cachedData")) || {},
  isAdmin: parseInt(localStorage.getItem("isAdmin")) || null,
};

const mutations = {
  setCachedData(state, data) {
    state.cachedData = data;
    localStorage.setItem("cachedData", JSON.stringify(data));
  },
  setIsAdmin(state, isAdmin) {
    if (isAdmin === null) {
        state.isAdmin = null;
        localStorage.removeItem('isAdmin');
    } else {
        state.isAdmin = parseInt(isAdmin);
        localStorage.setItem('isAdmin', isAdmin.toString());
    }
},

};

// 取
const getters = {
  getIsAdmin: (state) => {
    return state.isAdmin;
}
};

export default {
  namespaced: true,
  state,
  mutations,
  getters,
};
